summaryrefslogtreecommitdiffstats
path: root/misc/bird.init
diff options
context:
space:
mode:
authorOndrej Filip <feela@network.cz>2000-08-24 22:08:00 +0200
committerOndrej Filip <feela@network.cz>2000-08-24 22:08:00 +0200
commit6cf7e97abe05ee8943f8a2d300e1c46038b95df1 (patch)
treef0dfb1bb5dec16f90ee5a5cfbb5b585e68c3914d /misc/bird.init
parenta24e3157628ade4c0c0c380094bec898b630b2ee (diff)
downloadbird-6cf7e97abe05ee8943f8a2d300e1c46038b95df1.tar
bird-6cf7e97abe05ee8943f8a2d300e1c46038b95df1.zip
Added files for RPM building.
Diffstat (limited to 'misc/bird.init')
-rwxr-xr-xmisc/bird.init66
1 files changed, 66 insertions, 0 deletions
diff --git a/misc/bird.init b/misc/bird.init
new file mode 100755
index 0000000..b3c3c99
--- /dev/null
+++ b/misc/bird.init
@@ -0,0 +1,66 @@
+#! /bin/sh
+#
+# bird.init Starts the Internet Routing Daemon.
+#
+# Author: Ondrej Feela Filip, <feela@network.cz>
+#
+# chkconfig: - 32 75
+# description: Internet routing daemon supporting IPv4 routing protocols:
+# BGP4, RIPv2 and OSPFv2.
+#
+# processname: bird
+# config: /etc/bird.conf
+
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Check that networking is up.
+if [ ${NETWORKING} = "no" ]
+then
+ exit 0
+fi
+
+[ -f /etc/bird.conf ] || exit 0
+
+[ -f /usr/sbin/bird ] || exit 0
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Starting BIRD: "
+ daemon bird
+ RETVAL=$?
+
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/bird
+ ;;
+ stop)
+ echo -n "Stopping BIRD: "
+ killproc bird
+ RETVAL=$?
+
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/bird
+ ;;
+ status)
+ status bird
+ RETVAL=$?
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ RETVAL=$?
+ ;;
+ reload)
+ killall -HUP bird
+ RETVAL=$?
+ ;;
+ *)
+ echo "Usage: bird.init {start|stop|status|restart|reload}"
+ exit 1
+esac
+
+exit $REVAL